<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJS ng-Checked Directive Example</title>
      
      <!-- AngularJs Javascript File -->
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      <script type="text/javascript" src="resource/js/controller.js"></script>
      
      <!-- Bootstrap Css -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
      <link rel="stylesheet" href="resource/css/controller.css">      
   </head>
   <body>
      <div id="angularCheckedExample" class="container">
         <h1 align="center" class="text-primary">AngularJS - ng-Checked Directive Example</h1>
         <hr />
         <!------ ANGULAR JAVASCRIPT 'ng-Directive' EXAMPLE ------>
         <div ng-app="myApp" ng-controller="myCtrl">
            <div class="container">
               <div class="input-group">
                  <label>Delete all: </label><input id="delMasterCheckBox" type="checkbox" ng-model="masterCheckBox" />
                  <sup class="text-info position">Click "Delete all" to select all employees</sup>
                  
                  <!------ DELETE BUTTON ------>
                  <div class="input-group-btn">
                     <button id="dBtn" type="button" class="btn btn-danger" ng-click="delete(masterCheckBox)">Delete</button>
                  </div>
               </div>
               
               <!------ EMPLOYEE LIST ------>
               <div>&nbsp;</div>
               <table class="table table-hover pointer">
                  <thead>
                     <tr>
                        <th>Id</th>
                        <th>First Name</th>
                        <th>Last Name</th>
                        <th>Action</th>
                     </tr>
                  </thead>
                  <tbody>
                     <tr ng-repeat="e in empList">
                        <td>{{ e.id }}</td>
                        <td>{{ e.fName }}</td>
                        <td>{{ e.lName }}</td>
                        <td>
                           <input id="delCheckBox" type="checkbox" ng-checked="masterCheckBox" ng-model="isTrue" ng-change="getIndex(e.id, isTrue)" />
                        </td>
                     </tr>
                  </tbody>
               </table>
            </div>
         </div>
      </div>
   </body>
</html>