/* 
 * Description - AngularJS Controller Script To Delete The Data For The 'Checked' Check-box
 * Created By - Yatin Batra  
 * */

var mainApp = angular.module("myApp", []);

mainApp.controller('myCtrl', ['$scope', function ($scope) {
	var arr = [];
	$scope.empList = [ { id: '101', fName: 'John', lName: 'Gordon' }, { id: '102', fName: 'Smith', lName: 'Bing' }, { id: '103', fName: 'Allen', lName: 'Ross' }, { id: '104', fName: 'Marry', lName: 'Potter' }, { id: '105', fName: 'Jennifer', lName: 'White' } ];
	$scope.getIndex = function (id, isTrue) {
		if (isTrue) {
			arr.push(id);
		}			
		else {
			var index = arr.indexOf(id);
			arr.splice(index, 1);
		}
	};
	$scope.delete = function (isMaster) {
		if (isMaster) {
			$scope.empList = [];
		}
		else {
			for (var i = 0; i < arr.length; i++) {
				var rec = $scope.empList.filter(function (p) { 
					return p.id == arr[i] 
				});
				var idx = $scope.empList.indexOf(rec[0]);
				$scope.empList.splice(idx, 1);
			}
		};
		arr = [];
	};
}]);